Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war
Class UserPreferencesFilter

    java.lang.Object
      com.jaspersoft.jasperserver.war.UserPreferencesFilter

All Implemented Interfaces:
  javax.servlet.Filter

    public class UserPreferencesFilter

extends java.lang.Object
implements javax.servlet.Filter

Version:
  $Id
Author:
  Ionut Nedelcu (ionutned@users.sourceforge.net)

Constructor Summary
`UserPreferencesFilter()`

Method Summary
`void` | `destroy()`
`void` | `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
`int` | `getCookieAge()`
`UserAuthorityService` | `getUserService()`
`void` | `init(javax.servlet.FilterConfig config)`
`void` | `setCookieAge(int cookieAge)`
`void` | `setUserService(UserAuthorityService userService)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserPreferencesFilter

    public UserPreferencesFilter()

Method Detail

### getUserService

    public UserAuthorityService getUserService()

### setUserService

    public void setUserService(UserAuthorityService userService)

### init

    public void init(javax.servlet.FilterConfig config)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Throws:
    `javax.servlet.ServletException`

### doFilter

    public void doFilter(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         javax.servlet.FilterChain chain)
                  throws java.io.IOException,
                         javax.servlet.ServletException

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

### getCookieAge

    public int getCookieAge()

### setCookieAge

    public void setCookieAge(int cookieAge)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.